%set_verify_elf_method none
%define _python_compile_clean ""

Name: python-module-tionix_node_control
Version: 1.21.2
Release: alt0.M80P.1
Summary: Tionix cloud computing fabric controller

Group: Development/Python
License: non-exclusive
Url: http://tionix.ru/
Source0: %name-%version.tar

BuildArch: noarch
AutoReq: no

BuildRequires: python-devel
BuildRequires: python-module-setuptools python-module-setuptools-tests
BuildRequires: python-module-pbr >= 1.8
BuildRequires: python-module-sphinx

Requires: python-module-tionix_client
Requires: python-module-celery
Requires: python-module-celery-tests
Requires: python-module-pycrypto
Requires: python-module-pymodbus
Requires: python-module-pysnmp4
Requires: python-module-pyasn1
Requires: python-module-cerberus
Requires: python-module-pyghmi
Requires: python-module-cerberus-tests
Requires: python-module-amt
Requires: python-module-osc-lib
Requires: python-module-migrate
Requires: python-module-webob

%description
Tionix cloud computing fabric controller

%prep
%setup

# Remove bundled egg-info
rm -rf *.egg-info

%build
mkdir -pv build/lib/
cp -rv tionix_node_control build/lib/

%install
%python_install

%files
%python_sitelibdir/*

%changelog
* Wed Aug 16 2017 Lenar Shakirov <snejok@altlinux.ru> 1.21.2-alt0.M80P.1
- New version 1.21.2

* Tue Aug 15 2017 Lenar Shakirov <snejok@altlinux.ru> 1.20.0-alt0.M80P.1
- Build for P8

* Mon Jun 05 2017 Lenar Shakirov <snejok@altlinux.ru> 1.20.0-alt0.M70C.1
- New version 1.20.0
- Needed requires added

* Mon May 29 2017 Lenar Shakirov <snejok@altlinux.ru> 1.19.0-alt0.M70C.2
- Undefine _python_compile_clean

* Fri May 26 2017 Lenar Shakirov <snejok@altlinux.ru> 1.19.0-alt0.M70C.1
- New version 1.19.0
- Don't use python_build macros

* Mon May 22 2017 Lenar Shakirov <snejok@altlinux.ru> 1.18.0-alt0.M70C.2
- Packaging fixed

* Mon May 22 2017 Lenar Shakirov <snejok@altlinux.ru> 1.18.0-alt0.M70C.1
- New version 1.18.0

* Wed Mar 15 2017 Lenar Shakirov <snejok@altlinux.ru> 1.15.0-alt0.M70C.1
- New version 1.15.0

* Tue Dec 13 2016 Lenar Shakirov <snejok@altlinux.ru> 1.0.0-alt0.M70C.1
- Initial build for ALT
